PT BIA - Feature #2131

[TM to Payroll] - Potongan Gaji dan Potongan lain
04/12/2023 04:18 PM - fernando sergio rumbayan

Status: Closed Start date: 04/12/2023
Priority: High Due date: 05/08/2023
Assignee: Moch Alinafia % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Mba yomaa,

Mohon dibantu untuk dibuatkan TM to Payroll Potongan Gaji dan Potongan lain, pada varian = 0009
1. C_PotonganKehadiran - AdditionalField29

2. C_PotonganKesehatan - AdditionalField30

3. C_PotonganKeselamatan - AdditionalField31

4. C_PotonganGaji - AdditionalField32

Mohon dibantu untuk TM to Payroll dengan kondisi,

1. C_PotonganKehadiran = Tarif X (Mangkir & ljin Pribadi)

2. C_PotonganKesehatan = Tarif X (Mangkir, ljin Pribadi & ljin Sakit)
3. C_PotonganKeselamatan = Tarif X (Mangkir, ljin Pribadi & ljin Sakit)
4. C_PotonganGaji = (Gaji Pokok / 25) X (Mangkir & ljin Pribadi)

Terima Kasih..

History

#1 - 04/26/2023 03:23 PM - Kezia Pawitra Yulianti
- Due date set to 05/08/2023

- Status changed from New to Assigned

#2 - 05/02/2023 10:34 AM - Moch Alinafia

. C_PotonganKehadiran = wage type 2121

. C_PotonganKesehatan = wage type 2131

. C_PotonganKeselamatan = wage type 2141

. C_PotonganGaiji = wage type 1001

. Mangkir = absence type (jika tidak ada data attendance & absence)
. ljin Pribadi = absence type 45

. ljin Sakit = absence type 40
#3 - 05/02/2023 10:51 AM - Moch Alinafia

sample Data

employee id = 17010491
Bulan des 2022

#4 - 05/02/2023 04:47 PM - Tri Rizqgiaty

- File MinovalS.MinovaES.Implementation.BIA.Business. TMToPYVar1.dll added
- File CBIATMTOPYPOTGAJI.sql added

- File CBIATMTOPYPOTKEHADIRAN.sql added

- File CBIATMTOPYPOTKESEHATAN.sql added

- File CBIATMTOPYPOTKESELAMATAN.sql added

- File TM To PY Potongan.xIsx added

- Status changed from Assigned to Developing

Fixing :
1. Update API1\bin & API2\bin : MinovalS.MinovaES.Implementation.BIA.Business. TMToPYVar1.dll
2. Execute SP terlampir
3. Update table-table sql sesuai excel terlampir

Notes : untuk BIA karena table grid hasil sudah bisa terpisah sesuai variant, maka jika menambahkan field "AdditionalField" di
SDATATABLEFIELD harus di 2 TableName = PHRPYTR0800 & PDSHRPYTR0800

#5 - 05/02/2023 04:53 PM - Tri Rizqiaty
- File deleted (TM To PY Potongan.xIsx)

#6 - 05/02/2023 04:57 PM - Tri Rizqiaty
- File TM To PY Potongan.xlsx added

Perubahan di table PHRPYTMTOPY untuk tipe-tipe potongan : field Flag & Currency belum diseeting

#7 - 05/02/2023 04:57 PM - Tri Rizqiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to fernando sergio rumbayan

silakan ditest

#8 - 05/03/2023 11:19 AM - Moch Alinafia

maaf tambahan untuk potongan gaji hanya berlaku pada payroll class selain class A,B,C,D,E,F,X,W,Y,Z

Terima Kasih

#9 - 05/03/2023 11:22 AM - Moch Alinafia
- Status changed from QA Test to Revise

- Assignee changed from fernando sergio rumbayan to Tri Rizqiaty

#10 - 05/03/2023 11:33 AM - Tri Rizqiaty
- File deleted (CBIATMTOPYPOTGAJI.sql)

#11 - 05/03/2023 11:33 AM - Tri Rizqiaty
- File deleted (TM To PY Potongan.xIsx)

#12 - 05/03/2023 11:35 AM - Tri Rizqiaty
- File CBIATMTOPYPOTGAJI.sql added
- File TM To PY Potongan.xIsx added

- Status changed from Revise to QA Test

- Assignee changed from Tri Rizqgiaty to Moch Alinafia

Fixing :

1. Update SP CBIATMTOPYPOTGAJl.sql (file terlampir)
2. Add di table PCMEPGENPARAM = parameter CBIATMTOPYPOTGAJIPAYCLASS (sesuai excel terlampir)

#13 - 05/03/2023 03:32 PM - Moch Alinafia
- Status changed from QA Test to Closed

Files

MinovalS.MinovaES.Implementation.BIA.Business. TMToPYVar1.dll 21 KB 05/02/2023 Tri Rizqgiaty
CBIATMTOPYPOTKEHADIRAN.sql 4.99 KB 05/02/2023 Tri Rizqgiaty
CBIATMTOPYPOTKESELAMATAN.sql 5 KB 05/02/2023 Tri Rizqgiaty
CBIATMTOPYPOTKESEHATAN.sql 4.99 KB 05/02/2023 Tri Rizqgiaty
CBIATMTOPYPOTGAJI.sql 5.27 KB 05/03/2023 Tri Rizqgiaty
TM To PY Potongan.xlsx 12.4 KB 05/03/2023 Tri Rizgiaty
